MODULE YOMRFPB

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Buffer for climatology & geometry fields in post processing geometry

! NLENRFPB : Core-zone buffer length
! NELENRFP : Extension-zone buffer length
! NSTARFPB : Start adresses of NFPROMA-sized blocks in Core-zone buffer
! NESTARFP : Start adresses of NFPROMEL-sized blocks in Extension-zone buffer
! RFPBUF   : Core-zone buffer for
! REFPBUF  : Extension-zone buffer for

INTEGER(KIND=JPIM) :: NLENRFPB
INTEGER(KIND=JPIM) :: NELENRFP
INTEGER(KIND=JPIM), ALLOCATABLE :: NSTARFPB(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: NESTARFP(:)
REAL(KIND=JPRB), ALLOCATABLE :: RFPBUF(:)
REAL(KIND=JPRB), ALLOCATABLE :: REFPBUF(:)

!     ------------------------------------------------------------------

END MODULE YOMRFPB
